%% --------------------------------------------------------------------------------------------------
% plot_result - 
%
%---------------------------------------------------------------------------------------------
% INPUT:
%       result
%       params
%       demono
%
% Optional:
%
%--------------------------------------------------------------------------------------------
% OUTPUT: 
%       
%
% -------------------------------------------------------------------------------------------
% REFERENCE:
%
% Author:
%     Sudhir Shankar Raman , Nov 2015 
%

%%

function plot_results(result,params,demono)

% plot exact vs estimated
figure;
bar([params.beta params.exact.mu result.pE ]);
title('Parameter values True Vs exact Vs MCMC');    
figure;

% plot trace
for i=1:length(result.pE )
    subplot(length(result.pE),1,i);
    plot(result.param.beta(i,:));
    title(strcat('Beta',num2str(i)));    
end

% Model evidence
if(demono>1)
    figure;
    subplot(2,1,1); 
    bar([params.exact.logevidence result.modelEvidence]);
    title('True vs estimated Log evidence');
    
    subplot(2,1,2); 
    plot(result.listModelEvidence(:,2));
    title('Log evidence trace with increasing no of chains');
    
end
